Productsup
CDE APIApi referenceVersions

Upload logo to connector version.

Sign in to run requests against the CDE API.
POST
/connectors/{publicId}/versions/{connectorVersion}/logo

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/logo"
{
  "message": "Logo has been uploaded successfully.",
  "resource": "connector-version",
  "data": {
    "name": "omdb",
    "description": "clever description",
    "readme": null,
    "version": "1.0.1",
    "logo": "http://cde-localstack:4566/connectors/019e16f5-5795-79d4-a959-6d54a49f2fa8/1/logo.svg",
    "created-at": "2026-05-11T14:13:58+02:00",
    "updated-at": "2026-05-11T14:13:58+02:00",
    "deleted-at": null,
    "state": "updated",
    "config": {
      "update-progress": [
        "application-config",
        "vcs-config"
      ],
      "secret-registrations": [],
      "authentication-registrations": [],
      "authentication-registrations-additional-fields": [],
      "application": {
        "command": "php",
        "arguments": "app.php product:import",
        "health-check": "--help"
      },
      "vcs": {
        "authorization": "basic",
        "url": "https://github.com/productsupcom/sip-docker-php-test.git",
        "branch": "main",
        "username": "git-user",
        "deploy-key-public": null,
        "latest-commit": null
      },
      "docker": {
        "image-name": null,
        "image-tag": null,
        "registry-url": null
      },
      "individuals": [],
      "migration": null,
      "execution": {
        "execution-mode": "as-env-variables",
        "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
        "docker-host": null,
        "container-api": {
          "image": null,
          "version-constraint": "^9.9.9"
        }
      },
      "export": null,
      "data-service": null,
      "datasource": {
        "categories": []
      },
      "buckets": [],
      "feature-flags": [],
      "container-api-config": null
    },
    "platform_dev_reference": {
      "account": null,
      "project": null,
      "executable": null,
      "platform-connector": 1,
      "site": 3,
      "site-processing-cluster": null,
      "assigned-to-site": 3,
      "assigned-to-channel": null,
      "assigned-to-channel-site": null,
      "assigned-to-channel-site-destination": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "16.22.84"
      }
    },
    "platform_prod_reference": {
      "executable": null,
      "platform-connector": 2,
      "target-accounts": [],
      "target-projects": [],
      "target-sites": [],
      "enabled-for-accounts": [],
      "enabled-for-projects": [],
      "enabled-for-sites": [],
      "assigned-to-sites": [],
      "released": false,
      "version": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "16.22.84"
      }
    },
    "prod_config": null,
    "dev_config": null
  }
}
{
  "message": "Bad request.",
  "errors": {
    "source": "Invalid logo file format. Allowed format is: SVG."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?